# class Chef::ChefFS::DataHandler::NodeDataHandler

### Public Instance Methods

chef_class() click to toggle source

    # File lib/chef/chef_fs/data_handler/node_data_handler.rb, line 28
    def chef_class
      Chef::Node
    end

normalize(node, entry) click to toggle source

    # File lib/chef/chef_fs/data_handler/node_data_handler.rb, line 8
    def normalize(node, entry)
      result = normalize_hash(node, {
        'name' => remove_dot_json(entry.name),
        'json_class' => 'Chef::Node',
        'chef_type' => 'node',
        'chef_environment' => '_default',
        'override' => {},
        'normal' => {},
        'default' => {},
        'automatic' => {},
        'run_list' => []
      })
      result['run_list'] = normalize_run_list(result['run_list'])
      result
    end

preserve_key(key) click to toggle source

    # File lib/chef/chef_fs/data_handler/node_data_handler.rb, line 24
    def preserve_key(key)
      return key == 'name'
    end